
RealisticGlobalListener = {};

addConsoleCommand("debugmode", "Toggles the debug rendering of the vehicles", "Vehicle.consoleCommandToggleDebugRendering", nil);

function RealisticGlobalListener:loadMap(name)

	--print("test loadmap - name=" .. tostring(name));	
		
	--test
	--modifying the "vehicle.xml" file
	--crash the game
	
	--local text = RealisticUtils.testTable(g_currentMission.missionInfo, "mission info list", "|");
	--print(text);
	--DebugUtil.printTableRecursively(g_currentMission.missionInfo, 1, 1, 100);
	
	--print("************** test : " .. tostring(g_currentMission.missionInfo.vehiclesXMLLoad));
	--g_currentMission.missionInfo.vehiclesXMLLoad = "C:\\Users\\Labo01\\Documents\\My Games\\FarmingSimulator2013\\mods\\moreRealisticTitaniumMap\\defaultVehicles.xml";
	
	--print("test trying to load defaultVehicles xml =" .. RealisticUtils.mrEngineDirectory .. "data/defaultVehicles/careerVehicles_map01.xml");
	
	--print(" test diffuclty settings - difficulty="..tostring(g_currentMission.missionInfo.difficulty) .. " - sellPriceMultiplier="..tostring(g_currentMission.missionInfo.sellPriceMultiplier) .." - buyPriceMultiplier="..tostring(g_currentMission.missionInfo.buyPriceMultiplier));
	
	--print("fuel price = " .. tostring(FillUtil.fillTypeIndexToDesc[19].pricePerLiter));
	--print("fertilizer price = " .. tostring(FillUtil.fillTypeIndexToDesc[13].pricePerLiter));
	--print("liquid fertilizer price = " .. tostring(FillUtil.fillTypeIndexToDesc[14].pricePerLiter));
	--print("seeds price = " .. tostring(FillUtil.fillTypeIndexToDesc[21].pricePerLiter));	
	
	
	--replace default vehicles
	if g_currentMission.missionInfo.vehiclesXMLLoad=="profileTemplate/careerVehicles_map01.xml" then --goldcrest valley
		g_currentMission.missionInfo.vehiclesXMLLoad = RealisticUtils.mrEngineDirectory .. "data/defaultVehicles/careerVehicles_map01.xml";
	elseif g_currentMission.missionInfo.vehiclesXMLLoad=="profileTemplate/careerVehicles_map02.xml" then --sosnovka
		g_currentMission.missionInfo.vehiclesXMLLoad = RealisticUtils.mrEngineDirectory .. "data/defaultVehicles/careerVehicles_map02.xml";
	end	
	
end

function RealisticGlobalListener:deleteMap()    
end

function RealisticGlobalListener:mouseEvent(posX, posY, isDown, isUp, button)
end

function RealisticGlobalListener:keyEvent(unicode, sym, modifier, isDown)
end



function RealisticGlobalListener:update(dt)
end

function RealisticGlobalListener:draw()
end


addModEventListener(RealisticGlobalListener);
